package me.chyxion.tigon.mybatis;

/**
 * @author Shaun Chyxion <br>
 * chyxion@163.com <br>
 * 2017/1/23 17:04
 */
class InSearchProcessor extends AbstractSearchProcessor {

    /**
     * {@inheritDoc}
     */
    @Override
    public CriterionType type() {
        return CriterionType.IN;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    void doProcess(SearchProcessArgs args) {
        processInList(args, true);
    }
}
